# gnu make

CC = gcc -O3 -mcpu=i686 -DLINUX -c -o $@
LINK = gcc -o $@ $^

# SIZE=5 is very slow !

all: fsudokux2 fsudokux3 fsudokux4 fsudokux5

clean:
	rm *.o
	rm fsudokux?


fsudokux2: fsudokux2.o mtimex.o
	$(LINK)

fsudokux3: fsudokux3.o mtimex.o
	$(LINK)

fsudokux4: fsudokux4.o mtimex.o
	$(LINK)

fsudokux5: fsudokux5.o mtimex.o
	$(LINK)



mtimex.o: mtimex.c mtime.h
	$(CC) mtimex.c

fsudokux2.o: fsudoku.c mtime.h
	$(CC) -DSIZE=2 fsudoku.c

fsudokux3.o: fsudoku.c mtime.h
	$(CC) -DSIZE=3 fsudoku.c

fsudokux4.o: fsudoku.c mtime.h
	$(CC) -DSIZE=4 fsudoku.c

fsudokux5.o: fsudoku.c mtime.h
	$(CC) -DSIZE=5 fsudoku.c


